{-------------------------------------------------------------}
{                   papovox - configuracao
{-------------------------------------------------------------}

unit ppconf;

interface
uses
    winTypes, winProcs, winDos, shellApi, strings,
    dvwin, dvcrt, winsock, dvinet,
    ppvars, ppmsg, ppsnomes;

procedure configura;

implementation

{--------------------------------------------------------}
{                   configuração geral
{--------------------------------------------------------}

procedure configura;
var nomeArq: string;
    arq: text;
label SERVOK, NOMEOK, ENDEROK;

var
    c1, c2: char;
    sz: array [0..144] of char;
    s: string;
    erro: integer;
begin
    if enderUsuario <> '' then
        logonUsuario (enderUsuario, 'logoff');

    servNomes    := sintAmbiente ('PAPOVOX', 'SERVNOMES');
    nomeUsuario  := sintAmbiente ('PAPOVOX', 'NOMEUSUARIO');
    enderUsuario := sintAmbiente ('PAPOVOX', 'ENDERUSUARIO');
    s := sintAmbiente ('PAPOVOX', 'TAMLINHA');
    val (s, maxtec, erro);
    if erro <> 0 then maxtec := 120;

    if servnomes <> '' then
        begin
            mensagem ('PPSERV', 1);  {Seu servidor esta configurado como}
            sintWriteln (servNomes);
            mensagem ('PPPODSER', 0);  {'Pode ser ? '}
            sintLeTecla (c1, c2);
            writeln;
            if upcase (c1) <> 'N' then goto SERVOK;
        end;

    mensagem ('PPNOMSER', 1);   {Qual o seu servidor?}
    sintReadln (servNomes);

SERVOK:
    if nomeUsuario <> '' then
        begin
            mensagem ('PPSNOME', 1);  {Seu nome esta configurado como}
            sintWriteln (nomeUsuario);
            mensagem ('PPPODSER', 0);  {'Pode ser ? '}
            sintLeTecla (c1, c2);
            writeln;
            if upcase (c1) <> 'N' then goto NOMEOK;
        end;

    mensagem ('PPNOMUSU', 1);   {Qual o seu nome ?}
    sintReadln (nomeUsuario);

NOMEOK:
    if enderUsuario <> '' then
        begin
            mensagem ('PPSEND', 1);  {Seu endereço eletrônico esta configurado como}
            sintWriteln (enderUsuario);
            mensagem ('PPPODSER', 0);  {'Pode ser ? '}
            sintLeTecla (c1, c2);
            writeln;
            if upcase (c1) <> 'N' then goto ENDEROK;
        end;

    mensagem ('PPENDUSU', 1);   {Qual o seu endereço eletrônico ?}
    sintReadln (enderUsuario);

ENDEROK:
    if nomeUsuario <> '' then   {não é um desregistro}
        begin
            mensagem ('PPQNARQ', 1);  {Informe o nome do arquivo que contém suas informações (até 10 linhas)}
            sintReadln (nomeArq);
            if nomeArq <> '' then
                begin
                    assign (arq, nomeArq);
                    {$I-} reset (arq); {$I+}
                    if ioresult <> 0 then
                        begin
                            mensagem ('PPCARNAO', 1);   {'Arquivo não existe, cartão de visitas não será criado.}
                            nomeArq := '';
                        end;
                end;
        end;

    mensagem ('PPCNFREG', 0);    {Confirma registro}
    sintLeTecla (c1, c2);
    writeln;
    if upcase (c1) = 'N' then
        exit;

    strPCopy (sz, servNomes);
    writePrivateProfileString ('PAPOVOX', 'SERVNOMES', sz, 'DOSVOX.INI');
    strPCopy (sz, nomeusuario);
    writePrivateProfileString ('PAPOVOX', 'NOMEUSUARIO', sz, 'DOSVOX.INI');
    strPCopy (sz, enderUsuario);
    writePrivateProfileString ('PAPOVOX', 'ENDERUSUARIO',  sz, 'DOSVOX.INI');
    str (maxtec, s);
    strPCopy (sz, s);
    writePrivateProfileString ('PAPOVOX', 'TAMLINHA',  sz, 'DOSVOX.INI');

    if enderUsuario <> '' then
        registraUsuario (nomeUsuario, enderusuario, nomeArq);
end;

end.
